Bullet Collision Detection & Physics Library: Bullet::btMultiBodyLinkFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btMultiBodyLinkFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btMultiBodyLinkFloatData:
[legend]

## Public Attributes
btQuaternionFloatData | m_zeroRotParentToThis
btVector3FloatData | m_parentComToThisPivotOffset
btVector3FloatData | m_thisPivotToThisComOffset
btVector3FloatData | m_jointAxisTop [6]
btVector3FloatData | m_jointAxisBottom [6]
btVector3FloatData | m_linkInertia
btVector3FloatData | m_absFrameTotVelocityTop
btVector3FloatData | m_absFrameTotVelocityBottom
btVector3FloatData | m_absFrameLocVelocityTop
btVector3FloatData | m_absFrameLocVelocityBottom
int | m_dofCount
float | m_linkMass
int | m_parentIndex
int | m_jointType
float | m_jointPos [7]
float | m_jointVel [6]
float | m_jointTorque [6]
int | m_posVarCount
float | m_jointDamping
float | m_jointFriction
float | m_jointLowerLimit
float | m_jointUpperLimit
float | m_jointMaxForce
float | m_jointMaxVelocity
char * | m_linkName
char * | m_jointName
btCollisionObjectFloatData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 1488 of file bullet.h.

## Member Data Documentation

## ◆ m_absFrameLocVelocityBottom

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_absFrameLocVelocityBottom

Definition at line 1500 of file bullet.h.

## ◆ m_absFrameLocVelocityTop

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_absFrameLocVelocityTop

Definition at line 1499 of file bullet.h.

## ◆ m_absFrameTotVelocityBottom

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_absFrameTotVelocityBottom

Definition at line 1498 of file bullet.h.

## ◆ m_absFrameTotVelocityTop

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_absFrameTotVelocityTop

Definition at line 1497 of file bullet.h.

## ◆ m_dofCount

int Bullet::btMultiBodyLinkFloatData::m_dofCount

Definition at line 1501 of file bullet.h.

## ◆ m_jointAxisBottom

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_jointAxisBottom[6]

Definition at line 1495 of file bullet.h.

## ◆ m_jointAxisTop

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_jointAxisTop[6]

Definition at line 1494 of file bullet.h.

## ◆ m_jointDamping

float Bullet::btMultiBodyLinkFloatData::m_jointDamping

Definition at line 1509 of file bullet.h.

## ◆ m_jointFriction

float Bullet::btMultiBodyLinkFloatData::m_jointFriction

Definition at line 1510 of file bullet.h.

## ◆ m_jointLowerLimit

float Bullet::btMultiBodyLinkFloatData::m_jointLowerLimit

Definition at line 1511 of file bullet.h.

## ◆ m_jointMaxForce

float Bullet::btMultiBodyLinkFloatData::m_jointMaxForce

Definition at line 1513 of file bullet.h.

## ◆ m_jointMaxVelocity

float Bullet::btMultiBodyLinkFloatData::m_jointMaxVelocity

Definition at line 1514 of file bullet.h.

## ◆ m_jointName

char* Bullet::btMultiBodyLinkFloatData::m_jointName

Definition at line 1516 of file bullet.h.

## ◆ m_jointPos

float Bullet::btMultiBodyLinkFloatData::m_jointPos[7]

Definition at line 1505 of file bullet.h.

## ◆ m_jointTorque

float Bullet::btMultiBodyLinkFloatData::m_jointTorque[6]

Definition at line 1507 of file bullet.h.

## ◆ m_jointType

int Bullet::btMultiBodyLinkFloatData::m_jointType

Definition at line 1504 of file bullet.h.

## ◆ m_jointUpperLimit

float Bullet::btMultiBodyLinkFloatData::m_jointUpperLimit

Definition at line 1512 of file bullet.h.

## ◆ m_jointVel

float Bullet::btMultiBodyLinkFloatData::m_jointVel[6]

Definition at line 1506 of file bullet.h.

## ◆ m_linkCollider

btCollisionObjectFloatData* Bullet::btMultiBodyLinkFloatData::m_linkCollider

Definition at line 1517 of file bullet.h.

## ◆ m_linkInertia

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_linkInertia

Definition at line 1496 of file bullet.h.

## ◆ m_linkMass

float Bullet::btMultiBodyLinkFloatData::m_linkMass

Definition at line 1502 of file bullet.h.

## ◆ m_linkName

char* Bullet::btMultiBodyLinkFloatData::m_linkName

Definition at line 1515 of file bullet.h.

## ◆ m_paddingPtr

char* Bullet::btMultiBodyLinkFloatData::m_paddingPtr

Definition at line 1518 of file bullet.h.

## ◆ m_parentComToThisPivotOffset

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_parentComToThisPivotOffset

Definition at line 1492 of file bullet.h.

## ◆ m_parentIndex

int Bullet::btMultiBodyLinkFloatData::m_parentIndex

Definition at line 1503 of file bullet.h.

## ◆ m_posVarCount

int Bullet::btMultiBodyLinkFloatData::m_posVarCount

Definition at line 1508 of file bullet.h.

## ◆ m_thisPivotToThisComOffset

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_thisPivotToThisComOffset

Definition at line 1493 of file bullet.h.

## ◆ m_zeroRotParentToThis

btQuaternionFloatData Bullet::btMultiBodyLinkFloatData::m_zeroRotParentToThis

Definition at line 1491 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h